> ## Documentation Index
> Fetch the complete documentation index at: https://docs.surnex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1dataforseocatalogsummary



## OpenAPI

````yaml https://api.surnex.io/.well-known/openapi.json get /v1/dataforseo/catalog/summary
openapi: 3.1.0
info:
  title: Surnex API
  version: 0.2.0
servers:
  - url: https://api.surnex.io
security: []
paths:
  /v1/dataforseo/catalog/summary:
    get:
      tags:
        - v1
      parameters:
        - schema:
            anyOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
              - type: string
                enum:
                  - 'false'
          required: false
          name: discover
          in: query
        - schema:
            type: string
            enum:
              - static
              - discovered
              - mixed
          required: false
          name: discovery_source
          in: query
        - schema:
            type: string
            minLength: 1
            maxLength: 128
          required: false
          name: search
          in: query
        - schema:
            type: string
            minLength: 1
            description: Service category used for grouping and filtering
          required: false
          description: Service category used for grouping and filtering
          name: category
          in: query
        - schema:
            anyOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
              - type: string
                enum:
                  - 'false'
          required: false
          name: refresh_discovery
          in: query
      responses:
        '200':
          description: DataForSEO catalog summary
          content:
            application/json:
              schema:
                type: object
                properties:
                  generated_at:
                    type: string
                  discovery_context:
                    type: object
                    properties:
                      requested_discovery:
                        type: boolean
                      force_refresh_requested:
                        type: boolean
                      source:
                        type: string
                        enum:
                          - none
                          - cache
                          - provider
                          - mixed
                      discovered_at:
                        type:
                          - string
                          - 'null'
                      cache_key:
                        type: string
                      cache_ttl_seconds:
                        type: integer
                        exclusiveMinimum: 0
                      cache_available:
                        type: boolean
                      cache_hit:
                        type: boolean
                      provider_calls:
                        type: integer
                        minimum: 0
                    required:
                      - requested_discovery
                      - force_refresh_requested
                      - source
                      - discovered_at
                      - cache_key
                      - cache_ttl_seconds
                      - cache_available
                      - cache_hit
                      - provider_calls
                  services:
                    type: object
                    properties:
                      total:
                        type: integer
                        minimum: 0
                      by_discovery_source:
                        type: object
                        properties:
                          static:
                            type: integer
                            minimum: 0
                          discovered:
                            type: integer
                            minimum: 0
                          mixed:
                            type: integer
                            minimum: 0
                        required:
                          - static
                          - discovered
                          - mixed
                      names:
                        type: array
                        items:
                          type: string
                    required:
                      - total
                      - by_discovery_source
                      - names
                  operations:
                    type: object
                    properties:
                      total:
                        type: integer
                        minimum: 0
                      by_discovery_source:
                        type: object
                        properties:
                          static:
                            type: integer
                            minimum: 0
                          discovered:
                            type: integer
                            minimum: 0
                        required:
                          - static
                          - discovered
                    required:
                      - total
                      - by_discovery_source
                  supports_custom_paths:
                    type: boolean
                  supports_any_dataforseo_path:
                    type: boolean
                required:
                  - generated_at
                  - discovery_context
                  - services
                  - operations
                  - supports_custom_paths
                  - supports_any_dataforseo_path
              examples:
                summary:
                  value:
                    generated_at: '2026-02-24T00:00:00Z'
                    discovery_context:
                      requested_discovery: true
                      force_refresh_requested: false
                      source: provider
                      discovered_at: '2026-02-24T00:00:00Z'
                      cache_key: dataforseo:catalog:discovered:v1
                      cache_ttl_seconds: 900
                      cache_available: true
                      cache_hit: false
                      provider_calls: 3
                    services:
                      total: 9
                      names:
                        - serp
                        - keywords_data
                        - ai_optimization
                        - business_data
                        - backlinks
                        - domain_analytics
                        - dataforseo_labs
                        - on_page
                        - content_analysis
                      by_discovery_source:
                        static: 8
                        discovered: 1
                        mixed: 0
                    operations:
                      total: 27
                      by_discovery_source:
                        static: 20
                        discovered: 7
                    supports_custom_paths: true
                    supports_any_dataforseo_path: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                      details:
                        type: object
                        properties: {}
                        default: {}
                        additionalProperties: {}
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
                description: ErrorResponse
              examples:
                badRequest:
                  value:
                    error:
                      code: VALIDATION_ERROR
                      message: Invalid request
                      request_id: req_123
                      details:
                        issues:
                          - path:
                              - discovery_source
                            message: Invalid discovery_source
                            code: invalid_value
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_...'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````